@import "variables";
@import "layout";
@import "shared.stylesheet";

.standard-modal {
  position: absolute;
  right: 0;
  width: 500px;
  background-color: white;
  padding: $spacing-large $spacing-medium $spacing-medium;
  z-index: $modalLevel;

  @extend .standard-box-shadow;

  @include styles-for-phone-only {
    width: 100vw;
    box-sizing: border-box;
    z-index: $modalLevel;
  }

  .close-icon {
    position: absolute;
    right: 16px;
    top: 16px;
    cursor: pointer;
  }

  .filter-section {
    display: flex;
    flex-flow: column;
    margin-bottom: $spacing-medium;

    .year-selection-wrapper {
      display: flex;
      flex-flow: row;
      flex-wrap: wrap;

      .year-selection {
        margin-right: $spacing-small;
        margin-bottom: $spacing-small;
      }
    }
  }
}

